﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FIRCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSET') 
 CREATE TABLE T_FIRCM_MYCREDITSET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FATTENTIONPOINT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSET_L') 
 CREATE TABLE T_FIRCM_MYCREDITSET_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FATTENTIONPOINT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSET_BIT') 
 CREATE TABLE T_FIRCM_MYCREDITSET_BIT (
FORGID BIGINT DEFAULT 0 NOT NULL,
FDATA BLOB
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSET_M') 
 CREATE TABLE T_FIRCM_MYCREDITSET_M (
FORGID BIGINT DEFAULT 0 NOT NULL,
FDATA BLOB
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSET_U') 
 CREATE TABLE T_FIRCM_MYCREDITSET_U (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSETEXC') 
 CREATE TABLE T_FIRCM_MYCREDITSETEXC (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FNEWDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSETUSEREG') 
 CREATE TABLE T_FIRCM_MYCREDITSETUSEREG (
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT,
FADMINORGID BIGINT,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FISASSIGN CHAR(1),
FASSIGNORGID BIGINT,
FMASTERID BIGINT
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSET_R3') 
 CREATE TABLE T_FIRCM_MYCREDITSET_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);
/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FIRCM_table.sql **/
