IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSETTING') 
 INSERT INTO T_FIRCM_MYCREDITSET(FID, FNUMBER, FNAME, FSTATUS, FCREATORID, FMODIFIERID, FENABLE, FCREATETIME, FMODIFYTIME, FMASTERID, FCREATEORGID, FUSEORG, FORGID, FCTRLSTRATEGY, FSOURCEDATAID, FBITINDEX, FSOURCEBITINDEX, FATTENTIONPOINT) SELECT FID, FNUMBER, FNAME, FSTATUS, FCREATORID, FMODIFIERID, FENABLE, FCREATETIME, FMODIFYTIME, FMASTERID, FCREATEORGID, FUSEORG, FORGID, FCTRLSTRATEGY, FSOURCEDATAID, FBITINDEX, FSOURCEBITINDEX, FATTENTIONPOINT FROM T_FIRCM_MYCREDITSETTING WHERE (SELECT COUNT(FID) FROM T_FIRCM_MYCREDITSET) = 0;

IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSETTING_BIT') 
 INSERT INTO T_FIRCM_MYCREDITSET_BIT(FORGID, FDATA) SELECT FORGID, FDATA FROM T_FIRCM_MYCREDITSETTING_BIT WHERE (SELECT COUNT(FORGID) FROM T_FIRCM_MYCREDITSET_BIT) = 0;

IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSETTING_L') 
 INSERT INTO T_FIRCM_MYCREDITSET_L(FPKID, FID, FLOCALEID, FATTENTIONPOINT, FNAME) SELECT FPKID, FID, FLOCALEID, FATTENTIONPOINT, FNAME FROM T_FIRCM_MYCREDITSETTING_L WHERE (SELECT COUNT(FPKID) FROM T_FIRCM_MYCREDITSET_L) = 0;

IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSETTING_M') 
 INSERT INTO T_FIRCM_MYCREDITSET_M(FORGID, FDATA) SELECT FORGID, FDATA FROM T_FIRCM_MYCREDITSETTING_M WHERE (SELECT COUNT(FORGID) FROM T_FIRCM_MYCREDITSET_M) = 0;

IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSETTING_U') 
 INSERT INTO T_FIRCM_MYCREDITSET_U(FDATAID, FCREATEORGID, FUSEORGID) SELECT FDATAID, FCREATEORGID, FUSEORGID FROM T_FIRCM_MYCREDITSETTING_U WHERE (SELECT COUNT(FUSEORGID) FROM T_FIRCM_MYCREDITSET_U) = 0;

IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSETTINGEXC') 
 INSERT INTO T_FIRCM_MYCREDITSETEXC(FDATAID, FNEWDATAID, FCREATEORGID, FUSEORGID) SELECT FDATAID, FNEWDATAID, FCREATEORGID, FUSEORGID FROM T_FIRCM_MYCREDITSETTINGEXC WHERE (SELECT COUNT(FUSEORGID) FROM T_FIRCM_MYCREDITSETEXC) = 0;

IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSETTINGUSEREG') 
 INSERT INTO T_FIRCM_MYCREDITSETUSEREG(FUSEORGID, FDATAID, FCREATEORGID, FADMINORGID, FCTRLSTRATEGY, FISASSIGN, FASSIGNORGID, FMASTERID) SELECT FUSEORGID, FDATAID, FCREATEORGID, FADMINORGID, FCTRLSTRATEGY, FISASSIGN, FASSIGNORGID, FMASTERID FROM T_FIRCM_MYCREDITSETTINGUSEREG WHERE (SELECT COUNT(FUSEORGID) FROM T_FIRCM_MYCREDITSETUSEREG) = 0

IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FIRCM_MYCREDITSETTIN_R3') 
 INSERT INTO T_FIRCM_MYCREDITSET_R3(FID, FREFSTATUS) SELECT FID, FREFSTATUS FROM T_FIRCM_MYCREDITSETTIN_R3 WHERE (SELECT COUNT(FID) FROM T_FIRCM_MYCREDITSET_R3) = 0
